|  | posix.h File Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
posix.h File Reference

Get POSIX character class ranges and regex translations. More...

`#include <cstring>`
`#include <map>`
Include dependency graph for posix.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | reflex::Posix::Tables
| Tables of character ranges [lo,hi] for each character class. More...
struct | reflex::Posix::Tables::lt

## Namespaces
| reflex
| reflex::Posix

## Functions
const int * | reflex::Posix::range (const char *)
| Return table entry pointer to [lo,hi] range of characters for the given POSIX class name, or return NULL. More...

## Detailed Description

Get POSIX character class ranges and regex translations.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt